<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\MeinVeranstalter\Uebersicht;

class UebersichtPresenter extends \Kufer\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  public function getContent()
  {
    $view = $this->getView();
    $result = $view->show(); 
    $result .= $view->getNoColumn(); 
    $result .= $view->getNoData();

    return $result;
  }

  protected function getView()
  {
    return new UebersichtView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new UebersichtViewModel();
    $viewModel->veranstalter = $this->useCaseResponse->veranstalter;
    $viewModel->leiter = $this->useCaseResponse->leiter;

    $viewModel->mitarbeiter = $this->useCaseResponse->mitarbeiter;
    $viewModel->vorsitzende = $this->useCaseResponse->vorsitzende;

    return $viewModel;
  }
}